public class AffichageTableauSeuilsEnConsole {

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("AffichageTableauSeuils");
    /* Taille du tableau                       */
    final int TAILLE = 20;
    /* Déclaration du tableau                  */
    double [] tab = new double[TAILLE];
    int i;
    double min;
    double max;
    /* Acquisition clavier de min et de max    */
    Console.afficher("SVP, valeur minimale? ");
    min = Console.saisirDouble();
    Console.afficher("SVP, valeur maximale? ");
    max = Console.saisirDouble();
    /* Remplissage du tableau                  */
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      tab[i] = Math.random(); }
    /* Affichage des valeurs du tableau        */
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      Console.afficherln(tab[i]); }
    Console.sautDeLigne();
    /* Affichage des valeurs du tableau        */
    /* incluses dans l'intervalle [min,max]    */
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      if ( ( tab[i] >= min ) && ( tab[i] <= max ) ) {
        Console.afficherln(tab[i]); } }
  }
}